﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="2.0" xmlns:edmx="http://schemas.microsoft.com/ado/2008/10/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
    <Schema Namespace="DCCDBModel.Store" Alias="Self" Provider="System.Data.SqlClient" ProviderManifestToken="2008" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns="http://schemas.microsoft.com/ado/2009/02/edm/ssdl">
        <EntityContainer Name="DCCDBModelStoreContainer">
          <EntitySet Name="TBL_DOCUMENT" EntityType="DCCDBModel.Store.TBL_DOCUMENT" store:Type="Tables" Schema="dbo" />
          <EntitySet Name="TBL_DOCUMENT_EVENT" EntityType="DCCDBModel.Store.TBL_DOCUMENT_EVENT" store:Type="Tables" Schema="dbo" />
          <EntitySet Name="TBL_DOCUMENT_REF" EntityType="DCCDBModel.Store.TBL_DOCUMENT_REF" store:Type="Tables" Schema="dbo" />
          <EntitySet Name="TBL_EMAIL" EntityType="DCCDBModel.Store.TBL_EMAIL" store:Type="Tables" Schema="dbo" />
          <EntitySet Name="TBL_FILEMANAGER" EntityType="DCCDBModel.Store.TBL_FILEMANAGER" store:Type="Tables" Schema="dbo" />
          <EntitySet Name="TBL_M_DEPARTMENT" EntityType="DCCDBModel.Store.TBL_M_DEPARTMENT" store:Type="Tables" Schema="dbo" />
          <EntitySet Name="TBL_M_GROUP" EntityType="DCCDBModel.Store.TBL_M_GROUP" store:Type="Tables" Schema="dbo" />
          <EntitySet Name="TBL_TITLE" EntityType="DCCDBModel.Store.TBL_TITLE" store:Type="Tables" Schema="dbo" />
          <EntitySet Name="TBL_USERS" EntityType="DCCDBModel.Store.TBL_USERS" store:Type="Tables" Schema="dbo" />
          <EntitySet Name="TBL_USERS_LOGS" EntityType="DCCDBModel.Store.TBL_USERS_LOGS" store:Type="Tables" Schema="dbo" />
          <EntitySet Name="TBL_USERS_PROFILE" EntityType="DCCDBModel.Store.TBL_USERS_PROFILE" store:Type="Tables" Schema="dbo" />
          <AssociationSet Name="FK_TBL_USERS_PROFILE_TBL_TITLE" Association="DCCDBModel.Store.FK_TBL_USERS_PROFILE_TBL_TITLE">
            <End Role="TBL_TITLE" EntitySet="TBL_TITLE" />
            <End Role="TBL_USERS_PROFILE" EntitySet="TBL_USERS_PROFILE" />
          </AssociationSet>
          <AssociationSet Name="FK_TBL_USERS_TBL_M_GROUP" Association="DCCDBModel.Store.FK_TBL_USERS_TBL_M_GROUP">
            <End Role="TBL_M_GROUP" EntitySet="TBL_M_GROUP" />
            <End Role="TBL_USERS" EntitySet="TBL_USERS" />
          </AssociationSet>
          <AssociationSet Name="FK_TBL_USERS_TBL_USERS_PROFILE1" Association="DCCDBModel.Store.FK_TBL_USERS_TBL_USERS_PROFILE1">
            <End Role="TBL_USERS_PROFILE" EntitySet="TBL_USERS_PROFILE" />
            <End Role="TBL_USERS" EntitySet="TBL_USERS" />
          </AssociationSet>
        </EntityContainer>
        <EntityType Name="TBL_DOCUMENT">
          <Key>
            <PropertyRef Name="DOC_AUTO_ID" />
            <PropertyRef Name="DOC_ID" />
          </Key>
          <Property Name="DOC_AUTO_ID" Type="int" Nullable="false" StoreGeneratedPattern="Identity" />
          <Property Name="DOC_ID" Type="varchar" Nullable="false" MaxLength="10" />
          <Property Name="DOC_FILE_NAME" Type="varchar" MaxLength="200" />
          <Property Name="DOC_DESCRIPT" Type="varchar" MaxLength="100" />
          <Property Name="DOC_OWNER" Type="varchar" MaxLength="6" />
          <Property Name="DOC_REV" Type="int" />
          <Property Name="DOC_MODIFIED_BY" Type="varchar" MaxLength="6" />
        </EntityType>
        <EntityType Name="TBL_DOCUMENT_EVENT">
          <Key>
            <PropertyRef Name="EVENT_ID" />
          </Key>
          <Property Name="EVENT_ID" Type="int" Nullable="false" StoreGeneratedPattern="Identity" />
          <Property Name="EVENT_USER_ID" Type="varchar" MaxLength="6" />
          <Property Name="EVENT_DOC_ID" Type="varchar" MaxLength="10" />
          <Property Name="EVENT_DOC_NAME" Type="varchar" MaxLength="200" />
          <Property Name="EVENT_STATUS" Type="char" MaxLength="2" />
          <Property Name="EVENT_DATE" Type="varchar" MaxLength="12" />
        </EntityType>
        <EntityType Name="TBL_DOCUMENT_REF">
          <Key>
            <PropertyRef Name="REF_ID" />
          </Key>
          <Property Name="REF_ID" Type="int" Nullable="false" StoreGeneratedPattern="Identity" />
          <Property Name="REF_USER_ID" Type="varchar" MaxLength="6" />
          <Property Name="REF_DOC_ID" Type="varchar" MaxLength="10" />
          <Property Name="DOC_PATH" Type="varchar" MaxLength="100" />
        </EntityType>
        <EntityType Name="TBL_EMAIL">
          <Key>
            <PropertyRef Name="EMAIL_ID" />
          </Key>
          <Property Name="EMAIL_ID" Type="int" Nullable="false" StoreGeneratedPattern="Identity" />
          <Property Name="EMAIL_ACCOUNT" Type="varchar" MaxLength="50" />
          <Property Name="EMAIL_PASSWORD" Type="varchar" MaxLength="50" />
          <Property Name="EMAIL_HOST" Type="varchar" MaxLength="50" />
        </EntityType>
        <EntityType Name="TBL_FILEMANAGER">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Name="ID" Type="int" Nullable="false" StoreGeneratedPattern="Identity" />
          <Property Name="Type" Type="varchar" MaxLength="10" />
          <Property Name="Name" Type="varchar" MaxLength="150" />
          <Property Name="Modified" Type="date" />
          <Property Name="ModifiedBy" Type="varchar" MaxLength="100" />
          <Property Name="USER_ID" Type="varchar" MaxLength="6" />
          <Property Name="SessionID" Type="varchar" MaxLength="150" />
          <Property Name="FLAG" Type="varchar" MaxLength="1" />
        </EntityType>
        <EntityType Name="TBL_M_DEPARTMENT">
          <Key>
            <PropertyRef Name="DEPARTMENT_FOLDER_ID" />
            <PropertyRef Name="DEPARTMENT_ID" />
            <PropertyRef Name="PARENT_ID" />
          </Key>
          <Property Name="DEPARTMENT_FOLDER_ID" Type="int" Nullable="false" StoreGeneratedPattern="Identity" />
          <Property Name="DEPARTMENT_ID" Type="varchar" Nullable="false" MaxLength="3" />
          <Property Name="PARENT_ID" Type="varchar" Nullable="false" MaxLength="3" />
          <Property Name="DEPARTMENT_NAME" Type="varchar" MaxLength="100" />
          <Property Name="DEPARTMENT_FOLDER" Type="varchar" MaxLength="100" />
        </EntityType>
        <EntityType Name="TBL_M_GROUP">
          <Key>
            <PropertyRef Name="GROUP_ID" />
          </Key>
          <Property Name="GROUP_ID" Type="varchar" Nullable="false" MaxLength="3" />
          <Property Name="GROUP_NAME" Type="varchar" MaxLength="100" />
          <Property Name="V_OwnerDoc" Type="bit" />
          <Property Name="V_DeptDoc" Type="bit" />
          <Property Name="V_OtherDoc" Type="bit" />
          <Property Name="V_RefDoc" Type="bit" />
        </EntityType>
        <EntityType Name="TBL_TITLE">
          <Key>
            <PropertyRef Name="TITLE_ID" />
          </Key>
          <Property Name="TITLE_ID" Type="varchar" Nullable="false" MaxLength="3" />
          <Property Name="TITLE_NAME" Type="varchar" MaxLength="100" />
        </EntityType>
        <EntityType Name="TBL_USERS">
          <Key>
            <PropertyRef Name="USER_ID" />
          </Key>
          <Property Name="USER_ID" Type="varchar" Nullable="false" MaxLength="6" />
          <Property Name="USER_NAME" Type="varchar" MaxLength="20" />
          <Property Name="USER_PASSWORD" Type="varchar" MaxLength="150" />
          <Property Name="USER_GROUP_ID" Type="varchar" MaxLength="3" />
          <Property Name="USER_STATUS" Type="char" MaxLength="1" />
          <Property Name="USER_CREATEDATE" Type="datetime" />
        </EntityType>
        <EntityType Name="TBL_USERS_LOGS">
          <Key>
            <PropertyRef Name="LOG_ID" />
          </Key>
          <Property Name="LOG_ID" Type="int" Nullable="false" StoreGeneratedPattern="Identity" />
          <Property Name="USER_ID" Type="varchar" MaxLength="6" />
          <Property Name="USER_LOGIN_DATE" Type="varchar" MaxLength="12" />
          <Property Name="USER_LOGOUT_DATE" Type="varchar" MaxLength="12" />
          <Property Name="USER_LOG_DATE" Type="varchar" MaxLength="8" />
        </EntityType>
        <EntityType Name="TBL_USERS_PROFILE">
          <Key>
            <PropertyRef Name="PROFILE_USER_ID" />
          </Key>
          <Property Name="PROFILE_USER_ID" Type="varchar" Nullable="false" MaxLength="6" />
          <Property Name="PROFILE_TITLE_ID" Type="varchar" MaxLength="3" />
          <Property Name="PROFILE_NAME" Type="varchar" MaxLength="100" />
          <Property Name="PROFILE_SURNAME" Type="varchar" MaxLength="100" />
          <Property Name="PROFILE_EMAIL" Type="varchar" MaxLength="50" />
          <Property Name="PROFILE_DEPARTMENT_ID" Type="varchar" MaxLength="3" />
        </EntityType>
        <Association Name="FK_TBL_USERS_PROFILE_TBL_TITLE">
          <End Role="TBL_TITLE" Type="DCCDBModel.Store.TBL_TITLE" Multiplicity="0..1" />
          <End Role="TBL_USERS_PROFILE" Type="DCCDBModel.Store.TBL_USERS_PROFILE" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="TBL_TITLE">
              <PropertyRef Name="TITLE_ID" />
            </Principal>
            <Dependent Role="TBL_USERS_PROFILE">
              <PropertyRef Name="PROFILE_TITLE_ID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_TBL_USERS_TBL_M_GROUP">
          <End Role="TBL_M_GROUP" Type="DCCDBModel.Store.TBL_M_GROUP" Multiplicity="0..1" />
          <End Role="TBL_USERS" Type="DCCDBModel.Store.TBL_USERS" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="TBL_M_GROUP">
              <PropertyRef Name="GROUP_ID" />
            </Principal>
            <Dependent Role="TBL_USERS">
              <PropertyRef Name="USER_GROUP_ID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_TBL_USERS_TBL_USERS_PROFILE1">
          <End Role="TBL_USERS_PROFILE" Type="DCCDBModel.Store.TBL_USERS_PROFILE" Multiplicity="1">
            <OnDelete Action="Cascade" />
          </End>
          <End Role="TBL_USERS" Type="DCCDBModel.Store.TBL_USERS" Multiplicity="0..1" />
          <ReferentialConstraint>
            <Principal Role="TBL_USERS_PROFILE">
              <PropertyRef Name="PROFILE_USER_ID" />
            </Principal>
            <Dependent Role="TBL_USERS">
              <PropertyRef Name="USER_ID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
      </Schema></edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="DCCDBModel" Alias="Self" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns="http://schemas.microsoft.com/ado/2008/09/edm">
        <EntityContainer Name="DCCDBEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="TBL_DOCUMENT_EVENT" EntityType="DCCDBModel.TBL_DOCUMENT_EVENT" />
          <EntitySet Name="TBL_DOCUMENT_REF" EntityType="DCCDBModel.TBL_DOCUMENT_REF" />
          <EntitySet Name="TBL_EMAIL" EntityType="DCCDBModel.TBL_EMAIL" />
          <EntitySet Name="TBL_FILEMANAGER" EntityType="DCCDBModel.TBL_FILEMANAGER" />
          <EntitySet Name="TBL_M_DEPARTMENT" EntityType="DCCDBModel.TBL_M_DEPARTMENT" />
          <EntitySet Name="TBL_M_GROUP" EntityType="DCCDBModel.TBL_M_GROUP" />
          <EntitySet Name="TBL_TITLE" EntityType="DCCDBModel.TBL_TITLE" />
          <EntitySet Name="TBL_USERS" EntityType="DCCDBModel.TBL_USERS" />
          <EntitySet Name="TBL_USERS_LOGS" EntityType="DCCDBModel.TBL_USERS_LOGS" />
          <EntitySet Name="TBL_USERS_PROFILE" EntityType="DCCDBModel.TBL_USERS_PROFILE" />
          <AssociationSet Name="FK_TBL_USERS_TBL_M_GROUP" Association="DCCDBModel.FK_TBL_USERS_TBL_M_GROUP">
            <End Role="TBL_M_GROUP" EntitySet="TBL_M_GROUP" />
            <End Role="TBL_USERS" EntitySet="TBL_USERS" />
          </AssociationSet>
          <AssociationSet Name="FK_TBL_USERS_PROFILE_TBL_TITLE" Association="DCCDBModel.FK_TBL_USERS_PROFILE_TBL_TITLE">
            <End Role="TBL_TITLE" EntitySet="TBL_TITLE" />
            <End Role="TBL_USERS_PROFILE" EntitySet="TBL_USERS_PROFILE" />
          </AssociationSet>
          <AssociationSet Name="FK_TBL_USERS_TBL_USERS_PROFILE1" Association="DCCDBModel.FK_TBL_USERS_TBL_USERS_PROFILE1">
            <End Role="TBL_USERS_PROFILE" EntitySet="TBL_USERS_PROFILE" />
            <End Role="TBL_USERS" EntitySet="TBL_USERS" />
          </AssociationSet>
          <EntitySet Name="TBL_DOCUMENT" EntityType="DCCDBModel.TBL_DOCUMENT" />
        </EntityContainer>
        <EntityType Name="TBL_DOCUMENT_EVENT">
          <Key>
            <PropertyRef Name="EVENT_ID" />
          </Key>
          <Property Type="Int32" Name="EVENT_ID" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Type="String" Name="EVENT_USER_ID" MaxLength="6" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="EVENT_DOC_ID" MaxLength="10" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="EVENT_DOC_NAME" MaxLength="1000" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="EVENT_STATUS" MaxLength="2" FixedLength="true" Unicode="false" />
          <Property Type="String" Name="EVENT_DATE" MaxLength="12" FixedLength="false" Unicode="false" />
        </EntityType>
        <EntityType Name="TBL_DOCUMENT_REF">
          <Key>
            <PropertyRef Name="REF_ID" />
          </Key>
          <Property Type="Int32" Name="REF_ID" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Type="String" Name="REF_USER_ID" MaxLength="6" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="REF_DOC_ID" MaxLength="10" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="DOC_PATH" MaxLength="1000" FixedLength="false" Unicode="false" />
        </EntityType>
        <EntityType Name="TBL_EMAIL">
          <Key>
            <PropertyRef Name="EMAIL_ID" />
          </Key>
          <Property Type="Int32" Name="EMAIL_ID" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Type="String" Name="EMAIL_ACCOUNT" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="EMAIL_PASSWORD" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="EMAIL_HOST" MaxLength="50" FixedLength="false" Unicode="false" />
        </EntityType>
        <EntityType Name="TBL_FILEMANAGER">
          <Key>
            <PropertyRef Name="ID" />
          </Key>
          <Property Type="Int32" Name="ID" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Type="String" Name="Type" MaxLength="10" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="Name" MaxLength="1000" FixedLength="false" Unicode="false" />
          <Property Type="DateTime" Name="Modified" />
          <Property Type="String" Name="ModifiedBy" MaxLength="100" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="USER_ID" MaxLength="6" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="SessionID" MaxLength="150" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="FLAG" MaxLength="1" FixedLength="false" Unicode="false" />
        </EntityType>
        <EntityType Name="TBL_M_DEPARTMENT">
          <Key>
            <PropertyRef Name="DEPARTMENT_FOLDER_ID" />
            <PropertyRef Name="DEPARTMENT_ID" />
            <PropertyRef Name="PARENT_ID" />
          </Key>
          <Property Type="Int32" Name="DEPARTMENT_FOLDER_ID" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Type="String" Name="DEPARTMENT_ID" Nullable="false" MaxLength="3" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="PARENT_ID" Nullable="false" MaxLength="3" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="DEPARTMENT_NAME" MaxLength="100" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="DEPARTMENT_FOLDER" MaxLength="1000" FixedLength="false" Unicode="false" />
        </EntityType>
        <EntityType Name="TBL_M_GROUP">
          <Key>
            <PropertyRef Name="GROUP_ID" />
          </Key>
          <Property Type="String" Name="GROUP_ID" Nullable="false" MaxLength="3" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="GROUP_NAME" MaxLength="100" FixedLength="false" Unicode="false" />
          <Property Type="Boolean" Name="V_OwnerDoc" />
          <Property Type="Boolean" Name="V_DeptDoc" />
          <Property Type="Boolean" Name="V_OtherDoc" />
          <Property Type="Boolean" Name="V_RefDoc" />
          <NavigationProperty Name="TBL_USERS" Relationship="DCCDBModel.FK_TBL_USERS_TBL_M_GROUP" FromRole="TBL_M_GROUP" ToRole="TBL_USERS" />
        </EntityType>
        <EntityType Name="TBL_TITLE">
          <Key>
            <PropertyRef Name="TITLE_ID" />
          </Key>
          <Property Type="String" Name="TITLE_ID" Nullable="false" MaxLength="3" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="TITLE_NAME" MaxLength="100" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="TBL_USERS_PROFILE" Relationship="DCCDBModel.FK_TBL_USERS_PROFILE_TBL_TITLE" FromRole="TBL_TITLE" ToRole="TBL_USERS_PROFILE" />
        </EntityType>
        <EntityType Name="TBL_USERS">
          <Key>
            <PropertyRef Name="USER_ID" />
          </Key>
          <Property Type="String" Name="USER_ID" Nullable="false" MaxLength="6" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="USER_NAME" MaxLength="20" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="USER_PASSWORD" MaxLength="150" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="USER_GROUP_ID" MaxLength="3" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="USER_STATUS" MaxLength="1" FixedLength="true" Unicode="false" />
          <Property Type="DateTime" Name="USER_CREATEDATE" />
          <NavigationProperty Name="TBL_M_GROUP" Relationship="DCCDBModel.FK_TBL_USERS_TBL_M_GROUP" FromRole="TBL_USERS" ToRole="TBL_M_GROUP" />
          <NavigationProperty Name="TBL_USERS_PROFILE" Relationship="DCCDBModel.FK_TBL_USERS_TBL_USERS_PROFILE1" FromRole="TBL_USERS" ToRole="TBL_USERS_PROFILE" />
        </EntityType>
        <EntityType Name="TBL_USERS_LOGS">
          <Key>
            <PropertyRef Name="LOG_ID" />
          </Key>
          <Property Type="Int32" Name="LOG_ID" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Type="String" Name="USER_ID" MaxLength="6" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="USER_LOGIN_DATE" MaxLength="12" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="USER_LOGOUT_DATE" MaxLength="12" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="USER_LOG_DATE" MaxLength="8" FixedLength="false" Unicode="false" />
        </EntityType>
        <EntityType Name="TBL_USERS_PROFILE">
          <Key>
            <PropertyRef Name="PROFILE_USER_ID" />
          </Key>
          <Property Type="String" Name="PROFILE_USER_ID" Nullable="false" MaxLength="6" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="PROFILE_TITLE_ID" MaxLength="3" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="PROFILE_NAME" MaxLength="100" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="PROFILE_SURNAME" MaxLength="100" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="PROFILE_EMAIL" MaxLength="50" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="PROFILE_DEPARTMENT_ID" MaxLength="3" FixedLength="false" Unicode="false" />
          <NavigationProperty Name="TBL_TITLE" Relationship="DCCDBModel.FK_TBL_USERS_PROFILE_TBL_TITLE" FromRole="TBL_USERS_PROFILE" ToRole="TBL_TITLE" />
          <NavigationProperty Name="TBL_USERS" Relationship="DCCDBModel.FK_TBL_USERS_TBL_USERS_PROFILE1" FromRole="TBL_USERS_PROFILE" ToRole="TBL_USERS" />
        </EntityType>
        <Association Name="FK_TBL_USERS_TBL_M_GROUP">
          <End Type="DCCDBModel.TBL_M_GROUP" Role="TBL_M_GROUP" Multiplicity="0..1" />
          <End Type="DCCDBModel.TBL_USERS" Role="TBL_USERS" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="TBL_M_GROUP">
              <PropertyRef Name="GROUP_ID" />
            </Principal>
            <Dependent Role="TBL_USERS">
              <PropertyRef Name="USER_GROUP_ID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_TBL_USERS_PROFILE_TBL_TITLE">
          <End Type="DCCDBModel.TBL_TITLE" Role="TBL_TITLE" Multiplicity="0..1" />
          <End Type="DCCDBModel.TBL_USERS_PROFILE" Role="TBL_USERS_PROFILE" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="TBL_TITLE">
              <PropertyRef Name="TITLE_ID" />
            </Principal>
            <Dependent Role="TBL_USERS_PROFILE">
              <PropertyRef Name="PROFILE_TITLE_ID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_TBL_USERS_TBL_USERS_PROFILE1">
          <End Type="DCCDBModel.TBL_USERS_PROFILE" Role="TBL_USERS_PROFILE" Multiplicity="1" />
          <End Type="DCCDBModel.TBL_USERS" Role="TBL_USERS" Multiplicity="0..1" />
          <ReferentialConstraint>
            <Principal Role="TBL_USERS_PROFILE">
              <PropertyRef Name="PROFILE_USER_ID" />
            </Principal>
            <Dependent Role="TBL_USERS">
              <PropertyRef Name="USER_ID" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityType Name="TBL_DOCUMENT">
          <Key>
            <PropertyRef Name="DOC_AUTO_ID" />
            <PropertyRef Name="DOC_ID" />
          </Key>
          <Property Type="Int32" Name="DOC_AUTO_ID" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Type="String" Name="DOC_ID" Nullable="false" MaxLength="10" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="DOC_FILE_NAME" MaxLength="200" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="DOC_DESCRIPT" MaxLength="100" FixedLength="false" Unicode="false" />
          <Property Type="String" Name="DOC_OWNER" MaxLength="6" FixedLength="false" Unicode="false" />
          <Property Type="Int32" Name="DOC_REV" />
          <Property Type="String" Name="DOC_MODIFIED_BY" MaxLength="6" FixedLength="false" Unicode="false" />
        </EntityType>
        </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2008/09/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="DCCDBModelStoreContainer" CdmEntityContainer="DCCDBEntities">
          <EntitySetMapping Name="TBL_DOCUMENT_EVENT">
            <EntityTypeMapping TypeName="DCCDBModel.TBL_DOCUMENT_EVENT">
              <MappingFragment StoreEntitySet="TBL_DOCUMENT_EVENT">
                <ScalarProperty Name="EVENT_DATE" ColumnName="EVENT_DATE" />
                <ScalarProperty Name="EVENT_STATUS" ColumnName="EVENT_STATUS" />
                <ScalarProperty Name="EVENT_DOC_NAME" ColumnName="EVENT_DOC_NAME" />
                <ScalarProperty Name="EVENT_DOC_ID" ColumnName="EVENT_DOC_ID" />
                <ScalarProperty Name="EVENT_USER_ID" ColumnName="EVENT_USER_ID" />
                <ScalarProperty Name="EVENT_ID" ColumnName="EVENT_ID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="TBL_DOCUMENT_REF">
            <EntityTypeMapping TypeName="DCCDBModel.TBL_DOCUMENT_REF">
              <MappingFragment StoreEntitySet="TBL_DOCUMENT_REF">
                <ScalarProperty Name="DOC_PATH" ColumnName="DOC_PATH" />
                <ScalarProperty Name="REF_DOC_ID" ColumnName="REF_DOC_ID" />
                <ScalarProperty Name="REF_USER_ID" ColumnName="REF_USER_ID" />
                <ScalarProperty Name="REF_ID" ColumnName="REF_ID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="TBL_EMAIL">
            <EntityTypeMapping TypeName="DCCDBModel.TBL_EMAIL">
              <MappingFragment StoreEntitySet="TBL_EMAIL">
                <ScalarProperty Name="EMAIL_HOST" ColumnName="EMAIL_HOST" />
                <ScalarProperty Name="EMAIL_PASSWORD" ColumnName="EMAIL_PASSWORD" />
                <ScalarProperty Name="EMAIL_ACCOUNT" ColumnName="EMAIL_ACCOUNT" />
                <ScalarProperty Name="EMAIL_ID" ColumnName="EMAIL_ID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="TBL_FILEMANAGER">
            <EntityTypeMapping TypeName="DCCDBModel.TBL_FILEMANAGER">
              <MappingFragment StoreEntitySet="TBL_FILEMANAGER">
                <ScalarProperty Name="FLAG" ColumnName="FLAG" />
                <ScalarProperty Name="SessionID" ColumnName="SessionID" />
                <ScalarProperty Name="USER_ID" ColumnName="USER_ID" />
                <ScalarProperty Name="ModifiedBy" ColumnName="ModifiedBy" />
                <ScalarProperty Name="Modified" ColumnName="Modified" />
                <ScalarProperty Name="Name" ColumnName="Name" />
                <ScalarProperty Name="Type" ColumnName="Type" />
                <ScalarProperty Name="ID" ColumnName="ID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="TBL_M_DEPARTMENT">
            <EntityTypeMapping TypeName="DCCDBModel.TBL_M_DEPARTMENT">
              <MappingFragment StoreEntitySet="TBL_M_DEPARTMENT">
                <ScalarProperty Name="DEPARTMENT_FOLDER" ColumnName="DEPARTMENT_FOLDER" />
                <ScalarProperty Name="DEPARTMENT_NAME" ColumnName="DEPARTMENT_NAME" />
                <ScalarProperty Name="PARENT_ID" ColumnName="PARENT_ID" />
                <ScalarProperty Name="DEPARTMENT_ID" ColumnName="DEPARTMENT_ID" />
                <ScalarProperty Name="DEPARTMENT_FOLDER_ID" ColumnName="DEPARTMENT_FOLDER_ID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="TBL_M_GROUP">
            <EntityTypeMapping TypeName="DCCDBModel.TBL_M_GROUP">
              <MappingFragment StoreEntitySet="TBL_M_GROUP">
                <ScalarProperty Name="V_RefDoc" ColumnName="V_RefDoc" />
                <ScalarProperty Name="V_OtherDoc" ColumnName="V_OtherDoc" />
                <ScalarProperty Name="V_DeptDoc" ColumnName="V_DeptDoc" />
                <ScalarProperty Name="V_OwnerDoc" ColumnName="V_OwnerDoc" />
                <ScalarProperty Name="GROUP_NAME" ColumnName="GROUP_NAME" />
                <ScalarProperty Name="GROUP_ID" ColumnName="GROUP_ID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="TBL_TITLE">
            <EntityTypeMapping TypeName="DCCDBModel.TBL_TITLE">
              <MappingFragment StoreEntitySet="TBL_TITLE">
                <ScalarProperty Name="TITLE_NAME" ColumnName="TITLE_NAME" />
                <ScalarProperty Name="TITLE_ID" ColumnName="TITLE_ID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="TBL_USERS">
            <EntityTypeMapping TypeName="DCCDBModel.TBL_USERS">
              <MappingFragment StoreEntitySet="TBL_USERS">
                <ScalarProperty Name="USER_CREATEDATE" ColumnName="USER_CREATEDATE" />
                <ScalarProperty Name="USER_STATUS" ColumnName="USER_STATUS" />
                <ScalarProperty Name="USER_GROUP_ID" ColumnName="USER_GROUP_ID" />
                <ScalarProperty Name="USER_PASSWORD" ColumnName="USER_PASSWORD" />
                <ScalarProperty Name="USER_NAME" ColumnName="USER_NAME" />
                <ScalarProperty Name="USER_ID" ColumnName="USER_ID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="TBL_USERS_LOGS">
            <EntityTypeMapping TypeName="DCCDBModel.TBL_USERS_LOGS">
              <MappingFragment StoreEntitySet="TBL_USERS_LOGS">
                <ScalarProperty Name="USER_LOG_DATE" ColumnName="USER_LOG_DATE" />
                <ScalarProperty Name="USER_LOGOUT_DATE" ColumnName="USER_LOGOUT_DATE" />
                <ScalarProperty Name="USER_LOGIN_DATE" ColumnName="USER_LOGIN_DATE" />
                <ScalarProperty Name="USER_ID" ColumnName="USER_ID" />
                <ScalarProperty Name="LOG_ID" ColumnName="LOG_ID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="TBL_USERS_PROFILE">
            <EntityTypeMapping TypeName="DCCDBModel.TBL_USERS_PROFILE">
              <MappingFragment StoreEntitySet="TBL_USERS_PROFILE">
                <ScalarProperty Name="PROFILE_DEPARTMENT_ID" ColumnName="PROFILE_DEPARTMENT_ID" />
                <ScalarProperty Name="PROFILE_EMAIL" ColumnName="PROFILE_EMAIL" />
                <ScalarProperty Name="PROFILE_SURNAME" ColumnName="PROFILE_SURNAME" />
                <ScalarProperty Name="PROFILE_NAME" ColumnName="PROFILE_NAME" />
                <ScalarProperty Name="PROFILE_TITLE_ID" ColumnName="PROFILE_TITLE_ID" />
                <ScalarProperty Name="PROFILE_USER_ID" ColumnName="PROFILE_USER_ID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="TBL_DOCUMENT">
            <EntityTypeMapping TypeName="DCCDBModel.TBL_DOCUMENT">
              <MappingFragment StoreEntitySet="TBL_DOCUMENT">
                <ScalarProperty Name="DOC_MODIFIED_BY" ColumnName="DOC_MODIFIED_BY" />
                <ScalarProperty Name="DOC_REV" ColumnName="DOC_REV" />
                <ScalarProperty Name="DOC_OWNER" ColumnName="DOC_OWNER" />
                <ScalarProperty Name="DOC_DESCRIPT" ColumnName="DOC_DESCRIPT" />
                <ScalarProperty Name="DOC_FILE_NAME" ColumnName="DOC_FILE_NAME" />
                <ScalarProperty Name="DOC_ID" ColumnName="DOC_ID" />
                <ScalarProperty Name="DOC_AUTO_ID" ColumnName="DOC_AUTO_ID" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2008/10/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="True" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="True" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams>
      <Diagram Name="Model1" ZoomLevel="73">
        <EntityTypeShape EntityType="DCCDBModel.TBL_DOCUMENT_EVENT" Width="1.5" PointX="7.75" PointY="0.75" Height="2.1725878906250031" />
        <EntityTypeShape EntityType="DCCDBModel.TBL_DOCUMENT_REF" Width="2.5" PointX="9" PointY="3.625" Height="1.7879850260416674" />
        <EntityTypeShape EntityType="DCCDBModel.TBL_EMAIL" Width="1.5" PointX="10.125" PointY="6.125" Height="1.7879850260416674" />
        <EntityTypeShape EntityType="DCCDBModel.TBL_FILEMANAGER" Width="1.5" PointX="0.75" PointY="8.75" Height="2.5571907552083388" />
        <EntityTypeShape EntityType="DCCDBModel.TBL_M_DEPARTMENT" Width="1.5" PointX="2.75" PointY="8.75" Height="1.9802864583333388" />
        <EntityTypeShape EntityType="DCCDBModel.TBL_M_GROUP" Width="1.5" PointX="3" PointY="5" Height="2.3648893229166674" />
        <EntityTypeShape EntityType="DCCDBModel.TBL_TITLE" Width="1.5" PointX="0.75" PointY="1.375" Height="1.5956835937500031" />
        <EntityTypeShape EntityType="DCCDBModel.TBL_USERS" Width="1.5" PointX="5.25" PointY="1" Height="2.5571907552083388" />
        <EntityTypeShape EntityType="DCCDBModel.TBL_USERS_LOGS" Width="1.5" PointX="4.75" PointY="8.75" Height="1.9802864583333388" />
        <EntityTypeShape EntityType="DCCDBModel.TBL_USERS_PROFILE" Width="1.5" PointX="3" PointY="1" Height="2.5571907552083388" />
        <AssociationConnector Association="DCCDBModel.FK_TBL_USERS_TBL_M_GROUP" >
          <ConnectorPoint PointX="4.5" PointY="7.2711393229166674" />
          <ConnectorPoint PointX="5.28125" PointY="7.2711393229166674" />
          <ConnectorPoint PointX="5.28125" PointY="3.5571907552083388" />
        </AssociationConnector>
        <AssociationConnector Association="DCCDBModel.FK_TBL_USERS_PROFILE_TBL_TITLE" >
          <ConnectorPoint PointX="2.25" PointY="2.1728417968750016" />
          <ConnectorPoint PointX="3" PointY="2.1728417968750016" />
        </AssociationConnector>
        <AssociationConnector Association="DCCDBModel.FK_TBL_USERS_TBL_USERS_PROFILE1" >
          <ConnectorPoint PointX="4.5" PointY="2.2785953776041694" />
          <ConnectorPoint PointX="5.25" PointY="2.2785953776041694" />
        </AssociationConnector>
        <EntityTypeShape EntityType="DCCDBModel.TBL_DOCUMENT" Width="1.5" PointX="5.375" PointY="4.75" Height="2.3648893229166674" />
      </Diagram>
    </Diagrams>
  </Designer>
</edmx:Edmx>